# Endpoints

Endpoint is a request-able URL from your Project. The base URL is the address where the API is hosted.

For example project API ToDo list has base URL <https://modi-bd1bc8.mywebapp.rocks/> with the endpoint /lists. If I make a request <https://modi-bd1bc8.mywebapp.rocks/list>s I will get back a list/lists (depending on data).

<br>

&#x20;Base URL&#x20;

1. Press button Run in your Project.&#x20;
2. Next to the API Builder tab will be open the new tab with your project.
3. Copy the link in this new tab.&#x20;
4. Use it for creating requests to the API Project.

![](https://lh7-us.googleusercontent.com/fuANSWy7LAUI4LpuXc7wpjTSi5MK03xZEBN3J2D2P7vbazcDY5lW-8qvfc6bHWRcwAgLyKGhmE-6ndRPKf-7IqEMcx1wzmMHRXL_irbOSTSPLNoEK_9SOL77BzWJvceZjY9-sBOSFH9cST32jSff9Es)

Each entity in the Project has its own endpoints listed on the Endpoints tab.

* Status: The endpoint could be Enable or Disable.

| <p>! Disable endpoints could not be used for requests. </p><p>Mistake {....}</p> |
| -------------------------------------------------------------------------------- |

* Method: a request type.

<br>

| POST   | sends data you have entered, and returns a confirmation that the data you sent was received |
| ------ | ------------------------------------------------------------------------------------------- |
| GET    | <p>returns information from the API</p><p><br></p>                                          |
| PATCH  | sends data that modifies a record that an API has access to                                 |
| DELETE | deletes a record that an API has access to                                                  |

\
Path: refers to the Endpoint that is added to the main URL


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.apibuilder.com/home/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
